Groovy 1.7.0

## groovy.sql
Class Sql.AbstractStatementCommand

    java.lang.Object
      groovy.sql.Sql.AbstractStatementCommand

    class Sql.AbstractStatementCommand

Constructor Summary
`Sql.AbstractStatementCommand()`

Method Summary
`Statement` | `execute(Connection conn, String sql)` Execute the command that's defined by the subclass following the Command pattern.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### Sql.AbstractStatementCommand

    Sql.AbstractStatementCommand()

Method Detail

### execute

    public Statement execute(Connection conn, String sql)

  Execute the command that's defined by the subclass following the Command pattern. Specialized parameters are held in the command instances.
  param:
    conn all commands accept a connection
  param:
    sql all commands accept an SQL statement
  return:
    statement that can be cached, etc.
  throws:
    SQLException if a database error occurs

Copyright © 2003-2009 The Codehaus. All rights reserved.